Package net.sf.saxon.om

## Enum Genre

- java.lang.Object
- - java.lang.Enum<Genre>
  - - net.sf.saxon.om.Genre

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Genre>`

      public enum Genre
      extends java.lang.Enum<Genre>

  The Genre of an item is the top-level classification of its item type: one of Atomic, Node, Function, Map, Array, or External

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANY` |
    `ARRAY` |
    `ATOMIC` |
    `EXTERNAL` |
    `FUNCTION` |
    `MAP` |
    `NODE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `static Genre` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Genre[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final Genre ANY

    - #### ATOMIC

          public static final Genre ATOMIC

    - #### NODE

          public static final Genre NODE

    - #### FUNCTION

          public static final Genre FUNCTION

    - #### MAP

          public static final Genre MAP

    - #### ARRAY

          public static final Genre ARRAY

    - #### EXTERNAL

          public static final Genre EXTERNAL

  - ### Method Detail

    - #### values

          public static Genre[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Genre c : Genre.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Genre valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()